Cazana

JLR security

Jaguar Land Rover theft-vulnerability data: BCM lockdown and CAN-hack fix status, with security-campaign eligibility.

GET/security/jlr/1.0

Authorization

Query parameters

string
optional

VRM to search (required if `vin` not supplied)

string
optional

VIN to search (required if `vrm` not supplied)

Query parameters

vrm?string

VRM to search (required if `vin` not supplied)

vin?string

VIN to search (required if `vrm` not supplied)

Responses

application/json
{
  "vrm": "AB12CDE",
  "vin": "SALGA2BU8HA000000",
  "make": "Land Rover",
  "jaguarLandRover": {
    "bodyControlModule": {
      "locked": "Yes",
      "inCampaignScope": "Yes",
      "campaignStatus": "Open"
    },
    "canHack": {
      "locked": "Yes_Interim",
      "inCampaignScope": "Yes",
      "campaignStatus": "Open_Interim"
    },
    "uwbStatus": "Yes",
    "sotaEnabled": "string",
    "customerObjection": false
  }
}
vrm?string

Vehicle Registration Mark

vin?string

Vehicle Identification Number

make?string

The make of the vehicle

jaguarLandRover?

Code samples

curl --request GET \
  --url 'https://api.cazana.com/security/jlr/1.0?vrm=AB12CDE&vin=SALGA2BU8HA000000' \
  --header 'Authorization: bearer YOUR_API_KEY'